import { taggedTemplateLiteral as _taggedTemplateLiteral } from '../../../_virtual/_rollupPluginBabelHelpers.js';
import styled, { css } from 'styled-components';

var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
var centerCss = css(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  display: flex;\n  align-items: center;\n"])));
var sidemenuCss = css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  width: 38px;\n  height: 37px;\n  border-radius: 8px;\n"])));
var SideMenuIconsContainer = styled.a(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral(["\n  ", "\n  background: ", ";\n  ", "\n  justify-content: center;\n\n  :hover {\n    background: ", ";\n    cursor: pointer;\n\n    .SideMenuIconsContainer {\n      background: transparent !important;\n    }\n  }\n\n  :active {\n    background: ", ";\n    svg {\n      path {\n        fill: ", ";\n      }\n    }\n  }\n"])), sidemenuCss, function (_ref) {
  var theme = _ref.theme;
  return theme.colourMaterialSecondary;
}, centerCss, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colourMaterialSecondaryHover;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colourBrandPrimary;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colourTextReversePrimary;
});
var SidemenuDropdownWrapper = styled.div(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral(["\n  ", "\n  ", "\n  justify-content: space-evenly;\n  padding: 0px 3px;\n\n  > div {\n    display: inline-flex;\n  }\n  .btn-primary {\n    background: ", ";\n    border: none;\n  }\n\n  .btn-primary:hover {\n    background: ", ";\n    border: none;\n  }\n\n  .dropdown,\n  .dropend,\n  .dropstart,\n  .dropup {\n    position: inherit;\n  }\n\n  .dropdown-toggle::after {\n    display: none;\n  }\n\n  .btn-check:active + .btn-primary,\n  .btn-check:checked + .btn-primary,\n  .btn-primary.active,\n  .btn-primary:active,\n  .show > .btn-primary.dropdown-toggle {\n    background: ", ";\n    border: none;\n\n    svg {\n      path {\n        fill: ", ";\n      }\n    }\n    border: none;\n    box-shadow: none;\n  }\n  .btn-check:focus + .btn-primary,\n  .btn-primary:focus {\n    box-shadow: none;\n  }\n  .dropdown-menu {\n    min-width: 38px;\n    padding: 0px;\n  }\n\n  .dropdown-item {\n    color: ", ";\n    font-family: ", ";\n    font-size: ", ";\n    padding: 0px;\n    display: flex;\n    justify-content: center;\n    align-items: center;\n  }\n\n  .dropdown-item:focus,\n  .dropdown-item:hover {\n    color: #474747;\n    background: #fff;\n  }\n"])), sidemenuCss, centerCss, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colourMaterialSecondary;
}, function (_ref6) {
  var theme = _ref6.theme;
  return theme.colourMaterialSecondaryHover;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colourBrandPrimary;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colourTextReversePrimary;
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.colourTextPrimary;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.fontWorkSansRegular;
}, function (_ref11) {
  var theme = _ref11.theme;
  return theme.fontSize_14;
});
var SidemenuIconsMainContainer = styled.div(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral(["\n  position: relative;\n"])));

export { SideMenuIconsContainer, SidemenuDropdownWrapper, SidemenuIconsMainContainer };
//# sourceMappingURL=style.js.map
